Subject: Re: bug#47291: [PATCH] Auto-detect ns-appearance of frames and call a hook when it changes

From: Alan Third <[email-masked]>
Date: Tue, 18 May 2021 18:44:42 +0100

On Tue, May 18, 2021 at 04:43:33PM +0200, Lars Ingebrigtsen wrote:
> Matt Armstrong <[email-masked]> writes:
> 
> > I suggested an alternative approach on emacs-devel -- use the
> > dynamic-setting.el mechanism which is used for GTK but expressed in a
> > general way.
> >
> > Since Emacs already has that mechanism for GTK, I think this approach
> > would satisfy the policy issue Lars raised as well.
> 
> Yes, I think that might make sense...  but I've added Alan to the CCs,
> since this affects Macos things.  Perhaps he has some comments on these
> alternative approaches.

I don't really have much of an opinion. I feel tying in with
pre-existing functionality is probably the way to go but I don't know
anything about it.

I think the first part of Daphne's change can go straight in if it's
in a separate patch.

-- 
Alan Third